%define uname	Clementine

# comment out when not pre-release
#define prel	rc2
#define prel2	rc1-814-g2b340da79
%define tag     -30-ga05464b42

%define rel	2

Summary:	A cross-platform music player based on Amarok 1.4
Name:		clementine
Version:	1.4.1
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv3
Group:		Sound/Players
URL:		https://www.clementine-player.org/
Source0:	https://github.com/clementine-player/Clementine/releases/download/%{version}%{?prel}%{?tag}/%{name}-%{version}%{?prel}%{?tag}.tar.xz

Patch0:		clementine-qt5-libraries.patch

BuildRequires:	kf5-rpm-macros

BuildRequires:	boost-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	liblastfm-qt5-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(cryptopp)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-app-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libchromaprint)
BuildRequires:	pkgconfig(libgpod-1.0) >= 0.7.92
BuildRequires:	pkgconfig(libmtp) >= 1.0
BuildRequires:	pkgconfig(libmygpo-qt5)
BuildRequires:	pkgconfig(libprojectM)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libsparsehash)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(qca2-qt5)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(taglib) >= 1.11
BuildRequires:	qtiocompressor-qt5-devel
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	qtsinglecoreapplication-qt5-devel
BuildRequires:	pkgconfig(gmock)

Requires:	libprojectm-data
Requires:	qca-qt5
Requires:	qt5-database-plugin-sqlite
Recommends:	gstreamer1.0-plugins-good
Recommends:	gstreamer1.0-plugins-ugly
Recommends:	gstreamer1.0-flac
Recommends:	gstreamer1.0-musepack
Recommends:	gstreamer1.0-gsm
Recommends:	gstreamer1.0-faad
Recommends:	gstreamer1.0-neon
Recommends:	gstreamer1.0-plugins-bad
Recommends:	gstreamer1.0-ffmpeg
# Needed to be able to mount ipod/iphone/ipad (not tested locally) but it's also pulling gvfs
# which is need at least to mount mtp devices (tested locally)
Recommends:	gvfs-iphone
# Needed to be able to listen tracks from soundcloud (mga#15004)
Recommends:	glib-networking

%description
Clementine is a modern music player and library organiser. Clementine is
a port of Amarok 1.4, with some features rewritten to take advantage of
Qt5.
Features:
        * Search and play your local music library
        * Listen to internet radio from Last.fm, SomaFM and Magnatune
        * Tabbed playlists, import and export M3U, XSPF, PLS and ASX
        * Visualisations from projectM
        * Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC
        * Edit tags on MP3 and OGG files, organise your music
        * Download missing album cover art from Last.fm
        * Remote control using a Wii Remote, MPRIS or the command-line
        * Copy music to your iPod, iPhone, MTP or mass-storage USB player
        * Queue manager

%files
%doc COPYING Changelog
%{_bindir}/clementine
%{_bindir}/clementine-tagreader
%{_kf5_services}/clementine-*.protocol
%{_datadir}/applications/*Clementine.desktop
%{_iconsdir}/hicolor/*/apps/*Clementine.*
%{_datadir}/metainfo/*Clementine.appdata.xml

#---------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel}%{?tag}

sed -i -e '/^\[Play Shortcut Group\]$/,300d' dist/*.desktop

# Fixes from Fedora
# Not needed and fails build
sed -i "/add_dependencies(clementine_lib qtsingleapplication)/d" src/CMakeLists.txt
# Fix for GCC 12, to send upstream when root cause is determined
sed -i 's|local_server_name_ = qApp->applicationName().toLower();|local_server_name_ = QString(qApp->applicationName()).toLower();|' ext/libclementine-common/core/workerpool.h

%build
%cmake_qt5 \
           -DBUILD_WERROR=OFF \
           -DFORCE_GIT_REVISION:STRING=%{version}%{?tag} \
           -DBUNDLE_PROJECTM_PRESETS=OFF \
           -DUSE_SYSTEM_QTSINGLEAPPLICATION=ON \
           -DQTSINGLEAPPLICATION_INCLUDE_DIRS=%{_includedir} \
           -DQTIOCOMPRESSOR_INCLUDE_DIRS=%{_qt5_includedir}/QtSolutions \
           -DUSE_SYSTEM_GMOCK=ON \
           -DUSE_SYSTEM_TAGLIB=ON \
           -DUSE_SYSTEM_PROJECTM=ON
%cmake_build

%install
%cmake_install


%changelog
* Tue Mar 11 2025 daviddavid <daviddavid> 1.4.1-2.mga10
+ Revision: 2162680
- rebuild for new protobuf 30.0

* Sun Jan 26 2025 daviddavid <daviddavid> 1.4.1-1.mga10
+ Revision: 2142526
- new version: 1.4.1

* Fri Oct 04 2024 daviddavid <daviddavid> 1.4.0-0.rc2.4.mga10
+ Revision: 2103201
- add patch to fix build with taglib v2
- rebuild for new taglib 2.0.2
+ danf <danf>
- Update URL to https:

* Thu Dec 22 2022 wally <wally> 1.4.0-0.rc2.3.mga9
+ Revision: 1925779
- rebuild for protobuf 21.12

* Mon Aug 29 2022 wally <wally> 1.4.0-0.rc2.2.mga9
+ Revision: 1881956
- drop non-existent gstreamer1.0-ofa requires

* Thu Jun 30 2022 luigiwalser <luigiwalser> 1.4.0-0.rc2.1.mga9
+ Revision: 1866872
- 1.4.0rc2

* Fri Jun 24 2022 papoteur <papoteur> 1.4.0-0.rc1.814.2.mga9
+ Revision: 1866020
- Mass Rebuild for dependencies

* Tue Apr 05 2022 kekepower <kekepower> 1.4.0-0.rc1.814.1.mga9
+ Revision: 1845093
- Add fixes from Fedora
- Update to version 1.4.0rc1-814

* Tue Apr 05 2022 umeabot <umeabot> 1.4.0-0.rc1.557.3.mga9
+ Revision: 1844747
- Mageia 9 Mass Rebuild

* Tue Dec 28 2021 wally <wally> 1.4.0-0.rc1.557.2.mga9
+ Revision: 1764988
- rebuild for protobuf 3.19.1

* Wed Apr 14 2021 daviddavid <daviddavid> 1.4.0-0.rc1.557.1.mga9
+ Revision: 1715713
- new version: 1.4.0rc1.557

* Thu Mar 18 2021 daviddavid <daviddavid> 1.4.0-0.rc1.514.1.mga9
+ Revision: 1704248
- new version: 1.4.0rc1.514

* Wed Jan 13 2021 daviddavid <daviddavid> 1.4.0-0.rc1.423.1.mga8
+ Revision: 1671556
- new version: - new version: 1.4.0rc1.423

* Fri Dec 18 2020 luigiwalser <luigiwalser> 1.4.0-0.rc1.374.3.mga8
+ Revision: 1660981
- rebuild for protobuf

* Wed Dec 16 2020 umeabot <umeabot> 1.4.0-0.rc1.374.2.mga8
+ Revision: 1658225
- Rebuild for new Qt5

* Tue Dec 15 2020 daviddavid <daviddavid> 1.4.0-0.rc1.374.1.mga8
+ Revision: 1657692
- new version: 1.4.0rc1.374

* Mon Nov 30 2020 luigiwalser <luigiwalser> 1.4.0-0.rc1.323.3.mga8
+ Revision: 1650533
- rebuild for protobuf

* Wed Nov 11 2020 joequant <joequant> 1.4.0-0.rc1.323.2.mga8
+ Revision: 1644525
- rebuild with new qca-qt5

* Sat Aug 29 2020 daviddavid <daviddavid> 1.4.0-0.rc1.323.1.mga8
+ Revision: 1619490
- new version: 1.4.0rc1.323

* Sun Jun 28 2020 daviddavid <daviddavid> 1.4.0-0.rc1.283.4.mga8
+ Revision: 1600224
- new version: 1.4.0rc1.283
- rebuild for new protobuf 3.12.3

* Tue Apr 28 2020 daviddavid <daviddavid> 1.4.0-0.rc1.3.mga8
+ Revision: 1572604
- rebuild for new libprojectm 3.1.3

* Thu Feb 20 2020 umeabot <umeabot> 1.4.0-0.rc1.2.mga8
+ Revision: 1546525
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 1.4.0-0.rc1.1.mga8
+ Revision: 1486733
- new version: 1.4.0rc1 (first official based Qt5 release)

* Wed Jan 01 2020 daviddavid <daviddavid> 1.3.1-10.git20191102.3.mga8
+ Revision: 1475197
- add upstream patch to fix the track change hang (mga#25989)
- use new cmake macros

* Thu Dec 19 2019 daviddavid <daviddavid> 1.3.1-10.git20191102.2.mga8
+ Revision: 1468847
- rebuild for new protobuf 3.11.2

* Tue Nov 26 2019 daviddavid <daviddavid> 1.3.1-10.git20191102.1.mga8
+ Revision: 1463030
- update to latest git snapshot: 1.3.1-git20191102 (Qt5 branch)
- rebuild for libcryptopp 8.2.0

* Sat Oct 26 2019 daviddavid <daviddavid> 1.3.1-10.git20191016.1.mga8
+ Revision: 1455839
- update to latest git snapshot: 1.3.1-git20191016 (Qt5 branch)

* Thu Aug 01 2019 daviddavid <daviddavid> 1.3.1-10.git20190724.1.mga8
+ Revision: 1426791
- update to latest git snapshot: 1.3.1-git20190724 (Qt5 branch)

* Sun Jul 14 2019 daviddavid <daviddavid> 1.3.1-10.git20190713.1.mga8
+ Revision: 1421240
- update to latest git snapshot: 1.3.1-git20190713 (Qt5 branch)

* Tue Apr 23 2019 daviddavid <daviddavid> 1.3.1-10.git20190423.1.mga7
+ Revision: 1394880
- update to latest git snapshot: 1.3.1-git20190423 (Qt5 branch)

* Tue Apr 02 2019 daviddavid <daviddavid> 1.3.1-10.git20190127.2.mga7
+ Revision: 1385011
- Qt5 Rebuild

* Fri Feb 08 2019 daviddavid <daviddavid> 1.3.1-10.git20190127.1.mga7
+ Revision: 1364125
- update to latest git snapshot: 1.3.1-git20190127 (Qt5 branch)

* Sun Jan 20 2019 daviddavid <daviddavid> 1.3.1-10.git20190118.1.mga7
+ Revision: 1358194
- update to latest git snapshot: 1.3.1-git20190118 (Qt5 branch)

* Thu Jan 17 2019 daviddavid <daviddavid> 1.3.1-10.git20190115.1.mga7
+ Revision: 1357719
- update to latest git snapshot: 1.3.1-git20190114 (Qt5 branch)
- port to Qt5
- use system QtSingleApplication and system QtIOCompressor

* Wed Jan 16 2019 daviddavid <daviddavid> 1.3.1-9.mga7
+ Revision: 1357400
- add upstream patch to fix crash on exit (mga#24180)
- add upstream patch to reduce some CPU load
- use upstream patch instead to fix build with GCC7

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.3.1-8.mga7
+ Revision: 1346011
- rebuild for protobuf

* Sun Sep 16 2018 daviddavid <daviddavid> 1.3.1-7.mga7
+ Revision: 1259215
- rebuild for new libcrytopp 7.0.0
- add upstream patch to fix build with crypto++ >= 6.0.0

* Sun Apr 15 2018 daviddavid <daviddavid> 1.3.1-6.mga7
+ Revision: 1219070
- rebuild for new protobuf 3.5

* Sun Jan 14 2018 wally <wally> 1.3.1-5.mga7
+ Revision: 1193039
- rebuild for new libcdio

* Wed Sep 27 2017 cjw <cjw> 1.3.1-4.mga7
+ Revision: 1160109
- use system libprojectm
- patch3: fix build with gcc 7
- add buildrequires: pkgconfig(libsparsehash)

* Sun Aug 06 2017 cjw <cjw> 1.3.1-3.mga7
+ Revision: 1137968
- fix build
- rebuild for glew 2.0

* Tue May 02 2017 akien <akien> 1.3.1-2.mga6
+ Revision: 1098275
- Rebuild for ffmpeg 3.3

* Wed Apr 20 2016 daviddavid <daviddavid> 1.3.1-1.mga6
+ Revision: 1003694
- new version: 1.3.1

* Sat Apr 16 2016 daviddavid <daviddavid> 1.3.0-1.mga6
+ Revision: 1003054
- new version: 1.3.0 final
- update Source URL

* Wed Mar 30 2016 luigiwalser <luigiwalser> 1.3.0-0.rc1.3.mga6
+ Revision: 996835
- add patch suggested upstream to fix usage with sqlite 3.12

* Sun Feb 14 2016 luigiwalser <luigiwalser> 1.3.0-0.rc1.2.mga6
+ Revision: 960383
- rebuild for chromaprint

* Tue Jan 12 2016 neoclust <neoclust> 1.3.0-0.rc1.1.mga6
+ Revision: 922144
- New version 1.3.0rc1

* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.2.3-9.mga6
+ Revision: 918530
- rebuild for libechonest

* Sun Aug 30 2015 sander85 <sander85> 1.2.3-8.mga6
+ Revision: 871321
- Fix build with gcc 5
+ fwang <fwang>
- rebuild for new glew

* Thu Jul 16 2015 sander85 <sander85> 1.2.3-7.mga6
+ Revision: 854684
- Rebuild for new libcdio

* Wed Jun 24 2015 akien <akien> 1.2.3-6.mga6
+ Revision: 842002
- Rebuild for GLEW 1.12

* Sun Jan 11 2015 wally <wally> 1.2.3-5.mga5
+ Revision: 809844
- add recommends for glib-networking to be able to listen tracks from soundcloud (mga#15004)
- change source tag to use %%name-%%version.tar.gz

* Wed Oct 15 2014 umeabot <umeabot> 1.2.3-4.mga5
+ Revision: 746900
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-3.mga5
+ Revision: 678424
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Sep 08 2014 fwang <fwang> 1.2.3-2.mga5
+ Revision: 673555
- add patch from archlinux to fix with latest udiss namespace
+ luigiwalser <luigiwalser>
- rebuild for protobuf

* Sat Jun 07 2014 sander85 <sander85> 1.2.3-1.mga5
+ Revision: 634475
- New version: 1.2.3

* Fri Mar 21 2014 akien <akien> 1.2.2-1.mga5
+ Revision: 606381
- New patch for missing includes
- Add upstream patch for missing include
- New version 1.2.2

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1.2.1-3.mga5
+ Revision: 592236
- rebuild for libcdio

* Tue Dec 31 2013 dmorgan <dmorgan> 1.2.1-2.mga4
+ Revision: 563504
- Rebuild against current protobuf

* Sat Nov 30 2013 juancho <juancho> 1.2.1-1.mga4
+ Revision: 554128
- Updated to version 1.2.1

* Tue Oct 22 2013 umeabot <umeabot> 1.2.0-3.mga4
+ Revision: 545139
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 fwang <fwang> 1.2.0-2.mga4
+ Revision: 500837
- update include dir
- update mygpo-qt includedir
- sed desktop file
- add br
- update br
- new version 1.2.0

* Sun Sep 01 2013 fwang <fwang> 1.1.1-10.mga4
+ Revision: 473908
- rebuild for new libcdio

* Sat Aug 03 2013 fwang <fwang> 1.1.1-9.mga4
+ Revision: 462874
- rebuild for new libechonest

* Wed Jul 24 2013 sander85 <sander85> 1.1.1-8.mga4
+ Revision: 457694
- Rebuild for new glew

* Tue Jul 09 2013 fwang <fwang> 1.1.1-7.mga4
+ Revision: 451712
- rebuild for new boost

* Thu Jun 13 2013 fwang <fwang> 1.1.1-6.mga4
+ Revision: 442353
- fix build with latest libimobiledevice
- rebuild for new libimobiledevices

* Fri May 24 2013 barjac <barjac> 1.1.1-5.mga4
+ Revision: 426583
- fix build with glib2-2.36

* Thu Apr 11 2013 barjac <barjac> 1.1.1-4.mga3
+ Revision: 409673
- rebuild for boost-1.53

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 347881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 juancho <juancho> 1.1.1-2.mga3
+ Revision: 337918
- Added Requires for qca2-plugin-openssl.

* Sun Nov 18 2012 fwang <fwang> 1.1.1-1.mga3
+ Revision: 319420
- new version 1.1.1

* Thu Oct 25 2012 fwang <fwang> 1.1.0-2.mga3
+ Revision: 310027
- build with system chromaprint

* Thu Oct 25 2012 fwang <fwang> 1.1.0-1.mga3
+ Revision: 310026
- update file list
- there is no plasma-applet now
- new version 1.1.0

* Sun Aug 19 2012 sander85 <sander85> 1.0.1-4.mga3
+ Revision: 282322
- Rebuild for new glew

* Tue Aug 07 2012 wally <wally> 1.0.1-3.mga3
+ Revision: 279878
- add a patch from upstream (via Fedora) to fix build with new libimobiledevice

* Thu Aug 02 2012 neoclust <neoclust> 1.0.1-2.mga3
+ Revision: 277772
- Fix build with new liblastfm ( from fedya )

* Thu Mar 01 2012 juancho <juancho> 1.0.1-1.mga3
+ Revision: 216351
+ rebuild (emptylog)

* Thu Jan 26 2012 mikala <mikala> 1.0.1-1.mga2
+ Revision: 201800
- Update tarball to 1.0.1

* Thu Dec 29 2011 mikala <mikala> 1.0.0-1.mga2
+ Revision: 188725
- Update tarball to final 1.0.0

* Tue Dec 20 2011 mikala <mikala> 1.0.0-0.rc1.1.mga2
+ Revision: 184894
- Add patch0 to remove the unity blog in the .desktop file
- Update tarball to 1.0.0 rc1
- Add more BR ( qca2, libcdio, protobuff)
- Fix BR for QtWebkit
- Enable support for remove control
- Enable the build of the plasma runner plugin
- use spaces instead of tabs

* Mon Oct 03 2011 fwang <fwang> 0.7.1-2.mga2
+ Revision: 151170
- rebuild for new glew

* Sun Jul 17 2011 fwang <fwang> 0.7.1-1.mga2
+ Revision: 125203
- rebuild for new libmtp

* Fri Apr 01 2011 mikala <mikala> 0.7.1-0.mga2
+ Revision: 79539
- Update tarball to 0.7.1

* Mon Mar 28 2011 mikala <mikala> 0.7-0.mga1
+ Revision: 78283
- Update tarball to 0.7
- Clean spec

* Fri Mar 25 2011 ahmad <ahmad> 0.6-5.mga1
+ Revision: 77425
- bump rel and submit to core/testing to build against libimobiledevice-1.1.0

* Thu Feb 17 2011 mikala <mikala> 0.6-4.mga1
+ Revision: 52780
- Disable libindicate-qt-devel BR
- imported package clementine


* Wed Feb 02 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.6-4mdv2011.0
+ Revision: 635353
- *Added patch to make clementine use system language
- Added a patch to give a more polished playlist on the first run

* Tue Feb 01 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.6-3
+ Revision: 634892
- Added patch to use PlainSidebar instead the bluish one, on the playlist

* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 0.6-2
+ Revision: 634417
- BR indicate

* Sun Dec 12 2010 John Balcaen <mikala@mandriva.org> 0.6-1mdv2011.0
+ Revision: 620601
- Add missing buildrequires
- Remove unused files
- Update to 0.6

* Thu Sep 30 2010 John Balcaen <mikala@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 582170
- Update to 0.5.3

* Mon Sep 20 2010 John Balcaen <mikala@mandriva.org> 0.5-1mdv2011.0
+ Revision: 579908
- Update to 0.5
- drop patch (merged upstream)
- add BR for libmtp-devel & libgpod-devel (mtp & ipod/iphone support)
- add suggests for gvfs-iphone (needed to detect iphone/ipod but also mtp device)
- update description
- Update URL
- Add patch3 to fix visualisation when using another locale then english

* Sun Aug 08 2010 John Balcaen <mikala@mandriva.org> 0.4.2-3mdv2011.0
+ Revision: 567630
- Add patch0 from upstream to fix a crash when expanding lastfm
- Add patch1 from upstream (fix debug symbol)
- Add -DBUNDLE_PROJECTM_PRESETS=O & add a requires on libprojectm-data for projectm-preset

* Mon Jul 26 2010 John Balcaen <mikala@mandriva.org> 0.4.2-2mdv2011.0
+ Revision: 560890
- Restore use of make -j 4 (%%make seems to failed)
- Remove -DQT_PHONON_INCLUDE_DIR=%%_includedir with %%cmake (fix upstream)
- Add qt4-database-plugin-sqlite  as require (needed for the library)

  + Funda Wang <fwang@mandriva.org>
    - New version 0.4.2

* Fri May 07 2010 John Balcaen <mikala@mandriva.org> 0.3-1mdv2010.1
+ Revision: 543186
- Update to 0.3 final

* Mon May 03 2010 John Balcaen <mikala@mandriva.org> 0.3-0.rc1.2mdv2010.1
+ Revision: 541833
- Enforce use of make -j 4 (thks to misc)
- bump release
- Correct %%release tag
- Update to 0.3rc1
- remove libnotify-devel BR

* Tue Apr 27 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.787mdv2010.1
+ Revision: 539860
- Update to revision 787
- Update to revision 774
- use -DQT_PHONON_INCLUDE_DIR= with %%cmake_qt4 macro (thks neoclust)

* Fri Apr 09 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.624mdv2010.1
+ Revision: 533308
- Update to revision 624 (gstreamer equalizer :D)
- add qt4-linguist as buildrequires

* Wed Apr 07 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.586mdv2010.1
+ Revision: 532433
- Update snapshot to svn 586
- add buildrequires for gstreamer-develi
- comment the vlc & xine buildrequires
- add suggests on gstreamer0.10-decoders-audio (disable xine-pulse one)

* Wed Mar 31 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.547mdv2010.1
+ Revision: 530089
- Update to revision 547 from svn
- Update description

* Tue Mar 23 2010 John Balcaen <mikala@mandriva.org> 0.2-1mdv2010.1
+ Revision: 526913
- import clementine


